Package org.apache.sysds.runtime.instructions.fed

# Class QuantilePickFEDInstruction.MinMax

java.lang.Object
org.apache.sysds.runtime.controlprogram.federated.FederatedUDF
org.apache.sysds.runtime.instructions.fed.QuantilePickFEDInstruction.MinMax

All Implemented Interfaces:
  `Serializable`, `LineageTraceable`

Enclosing class:
  QuantilePickFEDInstruction

public static class QuantilePickFEDInstruction.MinMax extends FederatedUDF

See Also:
  - Serialized Form

## Method Summary

Modifier and Type
Method
Description
`FederatedResponse`
`execute(ExecutionContext ec, Data... data)`
Execute the user-defined function on a set of data objects (e.g., matrix objects, frame objects, or scalars), which are looked up by specified input IDs and passed in the same order.
`org.apache.commons.lang3.tuple.Pair<String,LineageItem>`
`getLineageItem(ExecutionContext ec)`
Obtain lineage trace of an instruction with a single output.

### Methods inherited from class org.apache.sysds.runtime.controlprogram.federated.FederatedUDF

`getInputIDs, getOutputIds`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.sysds.runtime.lineage.LineageTraceable

`getLineageItems, hasSingleLineage`

## Method Details

### execute

public FederatedResponse execute(ExecutionContext ec, Data... data)
Description copied from class: `FederatedUDF`
Execute the user-defined function on a set of data objects (e.g., matrix objects, frame objects, or scalars), which are looked up by specified input IDs and passed in the same order. Output data objects (potentially many) can be directly added to the passed execution context and its variable map.

Specified by:
  `execute` in class `FederatedUDF`
Parameters:
  `ec` - execution context
  `data` - one or many data objects
Returns:
  federated response, with none or many output objects

### getLineageItem

public org.apache.commons.lang3.tuple.Pair<String,LineageItem> getLineageItem(ExecutionContext ec)
Description copied from interface: `LineageTraceable`
Obtain lineage trace of an instruction with a single output.

Parameters:
  `ec` - execution context w/ live variables
Returns:
  pair of (output variable name, output lineage item)